Bug 202268 - java-1.4.2-gcj-compat-plugin creates a dead link
java-1.4.2-gcj-compat-plugin creates a dead link
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-11 17:17 EDT by Rik van Riel
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-22 16:35:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rik van Riel 2006-08-11 17:17:04 EDT
Description of problem:

The package does not seem to require whatever package actually contains
libjavaplugin.so

Version-Release number of selected component (if applicable):

java-1.4.2-gcj-compat-plugin-1.4.2.0-40jpp_100rh

Steps to Reproduce:
1. install java-1.4.2-gcj-compat-plugin
2. look at the dead link in /usr/lib64/mozilla/plugins/
3.
  
Additional info:

This is on x86-64.  Does a libjavaplugin.so exist in some other java package?
Comment 1 Thomas Fitzsimmons 2006-08-14 14:28:15 EDT
Yes, the plugin file exists as /usr/lib/gcj-4.1.1/libgcjwebplugin.so in the
libgcj sub-package of the gcc rpm.

The java-1.4.2-gcj-compat-plugin sub-package contains the following lines:

Requires(post): libgcj%{gccsuffix} >= %{gccver}
Requires(postun): libgcj%{gccsuffix} >= %{gccver}

Maybe that's not enough, and I also need:

Requires: libgcj%{gccsuffix} >= %{gccver}

I assumed that Requires(post) implied Requires.
Comment 2 Thomas Fitzsimmons 2006-08-14 15:21:56 EDT
This should be fixed in java-1.4.2-gcj-compat-1.4.2.0-40jpp_101rh which I just
built into Rawhide.  Please confirm.
Comment 3 Thomas Fitzsimmons 2006-08-22 16:35:32 EDT
I'm assuming this is fixed in Rawhide.  Please reopen this report if the bug
appears again.

Note You need to log in before you can comment on or make changes to this bug.